Creates a new user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "1d208823-2010-4412-8f7e-6212741bdce6",
  "user_id": "a7ce5972-4f7b-48ec-a39c-b149ee6d1b65",
  "user_planning_slot_type_id": "f6851a24-5310-4839-a9d0-42e95fac9ce2",
  "date_from": "2026-11-06T23:15:36.4017208+00:00",
  "date_to": "2026-11-06T23:15:36.4017208+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-11-06T23:15:36.4017208+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.